Get started
API Endpoint
https://api.notificationsformercadopago.com/
The Notifications for Mercado Pago API provides programmatic access to read and manage resources of users accounts.
To use this API, you need to use an API key that is provided for each account. You can access to your API key by loggin into your Notifications For Mercado Pago account and navigating to your profile section.
get users
# Here is a curl example
curl \
-X GET 'https://api.notificationsformercadopago.com/users' \
--header 'x-api-key: your_api_key'
To get user information you need to make a GET call to the following url :
https://api.notificationsformercadopago.com/users
Result example :
{
"id": "840844a8-5001-702c-0265-1ced85308fdb",
"email": "user@example.com",
"apiKey": "a58b30dd-2202-4b8c-89de-3416a8d5ecc2"
}
get payments
# Here is a curl example
curl \
-X GET 'https://api.notificationsformercadopago.com/payments?paymentLinkFilter=4321fdc0-a67b-42e9-8d25-aa45c6d93795&statusFilter=approved&statusDetailFilter=accredited' \
--header 'x-api-key: your_api_key'
To get the information about some payments notifications you need to make a GET call to the following url :
https://api.notificationsformercadopago.com/payments
Result example :
[
{
"id": "83168763020",
"application_id": "1584913549191155",
"notification_type": "updated",
"payment_link_id": "4321fdc0-a67b-42e9-8d25-aa45c6d93795",
"plan_id": null,
"date_created": "2024-07-18T20:28:13.000-04:00",
"date_approved": null,
"date_last_updated": "2024-07-25T23:09:27.000-04:00",
"date_of_expiration": "2024-07-25T22:59:59.000-04:00",
"money_release_date": null,
"money_release_schema": null,
"money_release_status": "pending",
"operation_type": "regular_payment",
"issuer_id": "2002",
"payment_method_id": "rapipago",
"payment_type_id": "ticket",
"payment_method": {
"issuer_id": "2002",
"data": {},
"forward_data": {},
"id": "rapipago",
"type": "ticket"
},
"status": "cancelled",
"status_detail": "expired",
"currency_id": "ARS",
"description": "Dummy Title",
"live_mode": true,
"sponsor_id": null,
"authorization_code": null,
"integrator_id": null,
"taxes_amount": 0,
"counter_currency": null,
"shipping_amount": 0,
"build_version": "3.61.0",
"pos_id": null,
"store_id": null,
"platform_id": null,
"corporation_id": null,
"payer": null,
"collector_id": null,
"metadata": {},
"additional_info": {
"authentication_code": null,
"ip_address": "186.152.69.173",
"nsu_processadora": null,
"available_balance": null,
"items": [
{
"quantity": "1",
"category_id": "car_electronics",
"picture_url": "https://http2.mlstatic.com/D_NQ_NP_754645-MLB77645128809_072024-F.jpg",
"description": "Dummy description",
"id": "Sound system",
"title": "Dummy Title",
"unit_price": "100"
}
]
},
"order": {
"id": "20914788251",
"type": "mercadopago"
},
"external_reference": null,
"transaction_amount": 100,
"transaction_amount_refunded": 0,
"coupon_amount": 0,
"differential_pricing_id": null,
"deduction_schema": null,
"installments": 1,
"transaction_details": {
"total_paid_amount": 100,
"acquirer_reference": null,
"installment_amount": 0,
"financial_institution": "",
"net_received_amount": 0,
"overpaid_amount": 0,
"digitable_line": null,
"external_resource_url": "https://www.mercadopago.com.ar/payments/83168763020/ticket?caller_id=1883686407&payment_method_id=rapipago&payment_id=83168763020&payment_method_reference_id=10379350122&hash=98978b0c-210d-4d44-a6bf-8c044045780f",
"barcode": {
"width": 1,
"type": "Code128C",
"content": "6002407256005018836864070103793501220000100008",
"height": 30
},
"payable_deferral_period": null,
"payment_method_reference_id": "10379350122",
"verification_code": "10379350122"
},
"fee_details": [],
"charges_details": [
{
"refund_charges": [],
"last_updated": "2024-07-18T20:28:13.000-04:00",
"metadata": {},
"amounts": {
"original": 4.1,
"refunded": 0
},
"date_created": "2024-07-18T20:28:13.000-04:00",
"name": "mercadopago_fee",
"reserve_id": null,
"accounts": {
"from": "collector",
"to": "mp"
},
"id": "83168763020-001",
"type": "fee",
"client_id": 0
}
],
"captured": true,
"binary_mode": false,
"call_for_authorize_id": null,
"statement_descriptor": null,
"card": {},
"notification_url": null,
"refunds": [],
"processing_mode": "aggregator",
"merchant_account_id": null,
"merchant_number": null,
"point_of_interaction": {
"business_info": {
"unit": "online_payments",
"branch": "Merchant Services",
"sub_unit": "checkout_pro"
},
"transaction_data": {
"e2e_id": null
},
"type": "CHECKOUT"
},
"three_ds_info": null,
"callback_url": null,
"coupon_code": null,
"net_amount": null,
"payment_method_option_id": null,
"taxes": null,
"internal_metadata": null,
"notification_created_at": "2024-07-26T03:09:27.837Z",
"notification_id": "04504889-6b14-4a8e-a3cc-866655ce8e92"
}
]
QUERY PARAMETERS
| Field | Type | Description |
|---|---|---|
| paymentLinkFilter | String | (optional) Filter by Payment Link ID |
| planFilter | String | (optional) Filter by Plan ID |
| statusFilter | String | (optional) Filter by status |
| statusDetailFilter | String | (optional) Filter by status_detail |
| accreditedPaymentsFilter | Boolean | (optional) Get accredited payments only |
get subscriptions
# Here is a curl example
curl \
-X GET 'https://api.notificationsformercadopago.com/subscriptions?statusFilter=authorized' \
--header 'x-api-key: your_api_key'
To get the information about some subscriptions notifications you need to make a GET call to the following url :
https://api.notificationsformercadopago.com/subscriptions
Result example :
[
{
"id": "9f82d64907584c819b067d36f7ce63bf",
"application_id": "1584913549191155",
"notification_type": "updated",
"date_created": "2024-07-21T18:36:34.495-04:00",
"last_modified": "2024-07-21T18:36:36.379-04:00",
"preapproval_plan_id": "2c93808490c3cfb60190d767e77e0503",
"auto_recurring_frequency": 1,
"auto_recurring_frequency_type": "months",
"auto_recurring_transaction_amount": 20,
"auto_recurring_currency_id": "ARS",
"auto_recurring_start_date": "2024-08-21T18:36:34.524-04:00",
"auto_recurring_free_trial": {
"first_invoice_offset": 30,
"frequency_type": "months",
"frequency": 1
},
"summarized_quotas": 11,
"summarized_charged_quantity": null,
"summarized_pending_charge_quantity": 11,
"summarized_charged_amount": null,
"summarized_pending_charge_amount": 220,
"summarized_semaphore": null,
"summarized_last_charged_date": null,
"summarized_last_charged_amount": null,
"payment_method_id": null,
"card_id": null,
"payment_method_id_secondary": null,
"first_invoice_offset": 30,
"payer_id": 1502249936,
"payer_email": "",
"back_url": "https://www.yoursite.com",
"collector_id": 268001351,
"status": "cancelled",
"reason": "Yoga classes",
"external_reference": null,
"notification_created_at": "2024-07-25T01:13:16.715Z",
"notification_id": "e9b6b61f-8a85-4c6c-8396-9d8b4c180fb3"
}
]
QUERY PARAMETERS
| Field | Type | Description |
|---|---|---|
| planFilter | String | (optional) Filter by Plan ID |
| notificationTypeFilter | String | (optional) Filter by Notification Type (new_authorized_subscription, new_cancelled_subscription) |
get payment links
# Here is a curl example
curl \
-X GET 'https://api.notificationsformercadopago.com/paymentlinks' \
--header 'x-api-key: your_api_key'
To get payment links you need to make a GET call to the following url :
https://api.notificationsformercadopago.com/paymentlinks
Result example :
{
"id": "99c5b2ec-8bb0-4ca8-911e-857a05c64650",
"preference_id": "268001351-840d9ec6-5a46-40f1-a762-cb60e75278fd",
"init_point": "https://www.mercadopago.com.ar/checkout/v1/redirect?pref_id=268001351-840d9ec6-5a46-40f1-a762-cb60e75278fd",
"notification_url": "https://api.notificationsformercadopago.com/mercadopago-webhook?connection_id=f2870bef-e520-4127-a8ab-ada835ad9e4c&payment_link_id=99c5b2ec-8bb0-4ca8-911e-857a05c64650",
"title": "Yoga classes",
"amount": 1234,
"currency_code": "ARS",
"back_url_success": "http://example.com/success",
"back_url_pending": "http://example.com/pending",
"back_url_failure": "http://example.com/failure",
"installments": 6,
"allow_cash": false,
"connection_id": "f2870bef-e520-4127-a8ab-ada835ad9e4c",
"createdAt": "2024-09-15T15:39:21.790Z"
}
get plans
# Here is a curl example
curl \
-X GET 'https://api.notificationsformercadopago.com/plans' \
--header 'x-api-key: your_api_key'
To get plns you need to make a GET call to the following url :
https://api.notificationsformercadopago.com/plans
Result example :
{
"id": "2c938084922e71ec01923366e7230169",
"reason": "Yoga classes",
"amount": 4125,
"currency_code": "ARS",
"frequency": 1,
"frequency_type": "months",
"init_point": "https://www.mercadopago.com.ar/subscriptions/checkout?preapproval_plan_id=2c938084922e71ec01923366e7230169",
"connection_id": "f2870bef-e520-4127-a8ab-ada835ad9e4c",
"createdAt": "2024-09-27T12:13:55.062Z"
}
post webhooksubscriptions
# Here is a curl example
curl \
-X POST 'https://api.notificationsformercadopago.com/webhooksubscriptions?application=Zapier&eventId=new_payment&hookUrl=https://hooks.zapier.com/hooks/standard/19116098/4dceas3ddf77429ca3c4r33d283e3sfe/' \
--header 'x-api-key: your_api_key'
To create a new Webhook Subscription you need to make a POST call to the following url :
https://api.notificationsformercadopago.com/webhooksubscriptions
Result example :
{
"id": "9e7c0d7b-373e-4674-ae7d-f510b587d1bd",
}
QUERY PARAMETERS
| Field | Type | Description |
|---|---|---|
| application | String | Name of the application the hook is associated to |
| eventId | String | Event associated to the hook. Possible values are "new_accredited_payment", "new_authorized_subscription", "new_cancelled_subscription" |
| hookUrl | String | Url of the webhook |
| statusFilter | String | (optional) Filter by status |
| statusDetailFilter | String | (optional) Filter by status_detail |
| paymentLinkFilter | String | (optional) Filter by Payment Link ID |
| planFilter | String | (optional) Filter by Plan ID |
delete webhooksubscriptions
# Here is a curl example
curl \
-X DELETE 'https://api.notificationsformercadopago.com/webhooksubscriptions?webhookSubscriptionId=9e7c0d7b-373e-4674-ae7d-f510b587d1bd' \
--header 'x-api-key: your_api_key'
To delete an existing Webhook Subscription you need to make a DELETE call to the following url :
https://api.notificationsformercadopago.com/webhooksubscriptions
Result example :
{
"id": "9e7c0d7b-373e-4674-ae7d-f510b587d1bd",
}
QUERY PARAMETERS
| Webhook Subscription ID | ||
|---|---|---|
| webhookSubscriptionId | String | Webhook Subscription ID |